assert( Postal, "Postal not found!")

------------------------------
--	If Postal keeps blocking trades when you have no mailbox window open and you dont want this behaviour, go to your WTF/Config.wft file and delete the line 'SET BlockTrades "1"'
------------------------------


------------------------------
--      Are you local?      --
------------------------------

local oldBlockTrades = nil

----------------------------------
--      Module Declaration      --
----------------------------------

Postal_TradeBlock = Postal:NewModule("TradeBlock")
Postal_TradeBlock.revision = tonumber(string.sub("$Revision: 31283 $", 12, -3))

function Postal_TradeBlock:OnEnable()
	self:RegisterEvent("MAIL_SHOW")
	self:RegisterEvent("MAIL_CLOSED")
	self:RegisterEvent("PLAYER_LEAVING_WORLD")
end

function Postal_TradeBlock:MAIL_SHOW()
	oldBlockTrades = GetCVar("BlockTrades")
	if oldBlockTrades ~= 1 then
		SetCVar("BlockTrades", 1)
	end
end

function Postal_TradeBlock:MAIL_CLOSED()
	if oldBlockTrades ~= GetCVar("BlockTrades") then
		SetCVar("BlockTrades", oldBlockTrades)
		oldBlockTrades = nil
	end
end

function Postal_TradeBlock:PLAYER_LEAVING_WORLD()
	if oldBlockTrades ~= nil then
		SetCVar("BlockTrades", oldBlockTrades)
		oldBlockTrades = nil
	end
end

